Bug 861682 - [abrt] xorg-x11-server-Xorg-1.12.3-2.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-2.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:1bea1da3cfd0c6301cc201d9e6f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 20:40 EDT by jimtahu
Modified: 2013-08-01 16:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-29 20:41 EDT, jimtahu
no flags Details
File: Xorg.0.log (46.09 KB, text/plain)
2012-09-29 20:41 EDT, jimtahu
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (383 bytes, text/plain)
2012-09-29 20:41 EDT, jimtahu
no flags Details

  None (edit)
Description jimtahu 2012-09-29 20:40:58 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652d6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514db]
:2: /usr/bin/Xorg (0x400000+0x47f32) [0x447f32]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f00acd9e000+0x60e4) [0x7f00acda40e4]
:4: /usr/bin/Xorg (0x400000+0x807b7) [0x4807b7]
:5: /usr/bin/Xorg (0x400000+0xa4ab0) [0x4a4ab0]
:6: /lib64/libpthread.so.0 (0x35acc00000+0xefe0) [0x35acc0efe0]
:7: /usr/bin/Xorg (0x400000+0x6aba0) [0x46aba0]
:8: /lib64/libpthread.so.0 (0x35acc00000+0xefe0) [0x35acc0efe0]
:9: /usr/bin/Xorg (0x400000+0x1175a8) [0x5175a8]
:10: /usr/bin/Xorg (0x400000+0x117738) [0x517738]
:11: /usr/bin/Xorg (0x400000+0x3447a) [0x43447a]
:12: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:13: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x35ac421735]
:14: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 jimtahu 2012-09-29 20:41:00 EDT
Created attachment 619257 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 jimtahu 2012-09-29 20:41:01 EDT
Created attachment 619258 [details]
File: Xorg.0.log
Comment 3 jimtahu 2012-09-29 20:41:03 EDT
Created attachment 619259 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Aldo 2012-12-24 03:57:18 EST
I have an hard disk partitioned with an encrypted volume.
This is the output of fdisk command p:
------------------------------------------------------------------
Disk /dev/sda: 250.1 GB, 250059350016 bytes
255 testine, 63 settori/tracce, 30401 cilindri, totale 488397168 settori
Unità = sectors di 1 * 512 = 512 byte
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Identificativo disco: 0x6d5c689b

Dispositivo Boot      Start         End      Blocks   Id  System
/dev/sda1            2048   209717247   104857600    7  HPFS/NTFS/exFAT
/dev/sda2   *   209717248   241174527    15728640    b  W95 FAT32
/dev/sda3       241174528   488364031   123594752    5  Esteso
/dev/sda4       488364032   488396799       16384   ef  EFI (FAT-12/16/32)
/dev/sda5       241176576   242200575      512000   83  Linux
/dev/sda6       242202624   307189759    32493568   83  Linux
/dev/sda7       307191808   372178943    32493568   83  Linux
/dev/sda8       372180992   437168127    32493568   83  Linux
/dev/sda9       437170176   488364031    25596928   83  Linux
---------------------------------------------------------------------------------------
The partitions are in the sequence: boot, /, home,data and pub that are mounted when the system starts.
I have configured a swap area on a file in the encrypted volume that seems to work correctly (the size is 2 GB the RAM in my system is 1 GB).
This is the content of fstab:
-------------------------------------------------------------------------------------------------
#
# /etc/fstab
# Created by anaconda on Sat Jul 16 09:30:54 2011
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/luks-b008088e-dece-49fe-9faf-067ca8aaf197 /                       ext4    defaults        1 1
UUID=45bf575e-e3f3-4db4-90d9-09b1fb9c30a5 /boot                   ext4    defaults        1 2
/dev/mapper/luks-198e6fe3-3113-4ac6-a959-7ae5146d3fbc /data                   ext4    defaults        1 2
/dev/mapper/luks-951d473d-1aac-4f8a-a326-794a0666addb /home                   ext4    defaults        1 2
#/dev/mapper/luks-15fee8c5-6bb5-4fcd-903a-f88ecf30b283 swap                    swap    defaults        0 0
/dev/mapper/luks-15fee8c5-6bb5-4fcd-903a-f88ecf30b283 /pub                    ext4    defaults        1 2
/pub/swapfile                                         swap                    swap    defaults        0 0
#
#
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
---------------------------------------------------------------------------------------------------
This is the list of /pub:
-------------------------------------------------------------------------------------------------
[root@GigaBook pub]# ls -lah
totale 2,2G
drwxrwxrwx.  5 Aldo Aldo 4,0K 28 giu 21.38 .
dr-xr-xr-x. 21 root root 4,0K 24 dic 09.28 ..
drwxrwxr-x.  2 Aldo Aldo 4,0K 22 mag  2012 Gabino
drwx------.  2 root root  16K 29 gen  2012 lost+found
-rw-r--r--.  1 Aldo Aldo 200M 29 dic  2011 overlay-LIVE-3932-3864
-rw-------.  1 root root 2,1G 30 nov 21.32 swapfile
drwxr-xr-x.  8 Aldo Aldo 4,0K 27 dic  2011 www
[root@GigaBook pub]# 
--------------------------------------------------------------------------------------------

If, leaving, I select the "hibernation" instead of "switch off" the process starts but end with error stating that the swap header was not found.

Regards
Aldo

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Lari Tanase 2013-01-17 08:06:00 EST
I have coppied and pasted one format in Libre Office Calc
and this started to use huge amount of memory
when the computer started to use the swap everithing was slow
whan I was >1/2 swap I have seen the error 


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Matt Rose 2013-01-23 11:18:09 EST
rebooting after applying latest upgrades

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora Update System 2013-01-23 17:16:09 EST
xorg-x11-server-1.12.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-3.fc17
Comment 8 Fedora Update System 2013-01-24 17:27:45 EST
Package xorg-x11-server-1.12.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.12.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1410/xorg-x11-server-1.12.4-3.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-01-29 03:05:01 EST
xorg-x11-server-1.12.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-4.fc17
Comment 10 Fedora Update System 2013-02-14 16:36:35 EST
xorg-x11-server-1.12.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-6.fc17
Comment 11 Fedora Update System 2013-04-17 01:23:34 EDT
xorg-x11-server-1.12.4-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-7.fc17
Comment 12 Fedora Update System 2013-06-07 19:46:22 EDT
xorg-x11-server-1.12.4-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora End Of Life 2013-07-04 03:52:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 16:18:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.